program fpctest1;

{$apptype console}
{$ifdef fpc}
  {$mode objfpc}
{$endif}

uses
  SysUtils;

const height = 4096;
      width = 4096;
      scale = 0.0008;
      deep = 100;
      xpos = 0;
      ypos = 0;

type
  float = double;
  //float = single;
{$ALIGN 2}
  MyBITMAPINFOHEADER = record
    biSize: LongWord;
    biWidth: LongInt;
    biHeight: LongInt;
    biPlanes: Word;
    biBitCount: Word;
    biCompression: LongWord;
    biSizeImage: LongWord;
    biXPelsPerMeter: LongInt;
    biYPelsPerMeter: LongInt;
    biClrUsed: LongWord;
    biClrImportant: LongWord;
  end;

  MyBITMAPFILEHEADER = record
    bfType: Word;
    bfSize: LongWord;
    bfReserved1: Word;
    bfReserved2: Word;
    bfOffBits: LongWord;
  end;
{$ALIGN ON}


var pix: array [0..height-1,0..width-1] of longint;
    time: TDateTime;
    f : file;
    fh : MyBITMAPFILEHEADER;
    bh : MyBITMAPINFOHEADER;


procedure build_fractal(scale: float; deep: longint);
var
  color, dx, dy : Integer;
  cx, cy, zx, zy, zxt : float;
begin
  cy := (height div 2) * scale + ypos;
  for dy := height -1 downto 0 do
  begin
    cy := cy - scale;
    cx := (width div 2) * scale + xpos;
    for dx := width - 1 downto 0 do
    begin
      color := 0;
      // Calculate color
      cx := cx - scale;
      zx := cx;
      zy := cy;
      while zx * zx + zy * zy < 4 do
      begin
        zxt := zx * zx - zy * zy + cx;
        zy := 2 * zx * zy + cy;
        zx := zxt;
        inc(color);
        if color > deep then break;
      end;
      pix[dy, dx] := (4 * color) + ((2*color) shl 8);
    end;
  end;
end;

begin
  FillChar(pix, sizeof(pix), 0);
  time := Now();

  build_fractal(scale, deep);

  time:= (Now() - time) * 24 * 60 * 60;
  WriteLn(floattostrF(time, fffixed, 8,3),' s');

  fh.bfType := WORD('B') + WORD('M') shl 8;
  fh.bfSize := SizeOf(MyBITMAPFILEHEADER);
  fh.bfReserved1 := 0;
  fh.bfReserved2 := 0;
  fh.bfOffBits := fh.bfSize + SizeOf(MyBITMAPINFOHEADER);

  FillChar(bh, SizeOf(MyBITMAPINFOHEADER), 0);
  bh.biSize := SizeOf(MyBITMAPINFOHEADER);
  bh.biWidth := width;
  bh.biHeight := height;
  bh.biPlanes := 1;
  bh.biBitCount := 32;
  {$I-}
  Assign(f, ChangeFileExt(ExtractFileName(ParamStr(0)), '.bmp'));
  Rewrite(f, 1);
  {$I+}
  if IOResult = 0 then
  begin
    BlockWrite(f, fh, SizeOf(MyBITMAPFILEHEADER));
    BlockWrite(f, bh, SizeOf(MyBITMAPINFOHEADER));
    BlockWrite(f, pix, width * height * 4);
    Close(f);
  end else
    writeln('cannot open file for writing: ' + ChangeFileExt(ExtractFileName(ParamStr(0)), '.bmp'));
end.
